Subject: Re: bug#54711: Bad Documentation Series: 6.1 Specifying Additional Channels

From: Maxime Devos <[email-masked]>
Date: Mon, 04 Apr 2022 21:51:57 +0200

Marek Paśnikowski schreef op ma 04-04-2022 om 20:43 [+0200]:
> 1. If I clone someone else's channel, do not bother with the
> introduction.

If with ‘clone’ you mean a ‘local git checkout+modifications’ here, and
its a local clone, then probably yes --- if some attacker can replace
the contents of your local repository, that's not something in Guix'
threat model ...

Now, if you choose to publish your modified version of someone's
channel to other people, then the other people might appreciate to have
introductions and .guix-authorization set-up.

Greetings,
Maxime.